ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('sortilege:limitite', 1),
    [
      '#kubejs:trinket_recycling'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('irons_spellbooks:greater_healing_potion', 1),
    [
      '#kubejs:hearts_and_apples',
      '#kubejs:bottles'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:iron_ingot', 1),
    [
      'kubejs:scrap_metal',
      'kubejs:scrap_metal',
      'kubejs:scrap_metal',
      'kubejs:scrap_metal'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 1),
    [
      'minecraft:turtle_helmet'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 3),
    [
      'sortilege:witch_hat'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('kubejs:diamond_shard', 1),
    [
      'irons_spellbooks:tarnished_helmet'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('kubejs:diamond_shard', 1),
    [
      'minecraft:trident'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:diamond', 1),
    [
      'kubejs:diamond_shard',
      'kubejs:diamond_shard',
      'kubejs:diamond_shard',
      'kubejs:diamond_shard',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:diamond', 1),
    [
      'sortilege:limitite',
      'minecraft:lapis_lazuli',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 3),
    [
      'sortilege:limitite',
      'minecraft:experience_bottle',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 2),
    [
      'sortilege:limitite',
      'minecraft:emerald',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:diamond', 2),
    [
      'sortilege:limitite',
      'minecraft:diamond',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:diamond', 1),
    [
      'sortilege:limitite',
      'kubejs:diamond_shard',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 1),
    [
      'sortilege:limitite',
      'kubejs:emerald_shard',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 1),
    [
      'healpgood:crystal_heart'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('healpgood:crystal_heart', 1),
    [
      'healpgood:heart_container'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('healpgood:heart_container', 1),
    [
      'healpgood:crystal_heart',
      'sortilege:limitite',
      'sortilege:limitite',
      'sortilege:limitite',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('healpgood:heart_container', 1),
    [
      'minecraft:emerald',
      'minecraft:emerald',
      'minecraft:emerald',
      'minecraft:emerald',
      'healpgood:crystal_heart',
      'minecraft:emerald',
      'minecraft:emerald',
      'minecraft:emerald',
      'minecraft:emerald'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('healpgood:crystal_heart', 1),
    [
      'healpgood:heart_piece',
      'sortilege:limitite',
      'sortilege:limitite',
      'sortilege:limitite',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('kubejs:life_crystal', 1),
    [
      'healpgood:heart_container',
      'minecraft:diamond',
      'sortilege:limitite',
      'sortilege:limitite',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('kubejs:life_crystal', 1),
    [
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond',
      'healpgood:heart_container',
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 1),
    [
      'kubejs:emerald_shard',
      'kubejs:emerald_shard',
      'kubejs:emerald_shard',
      'kubejs:emerald_shard',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 10),
    [
      'odd_accessories:wrinkled_dollar',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 8),
    [
      'oddaccessories:emerald_nose'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 5),
    [
      'artifacts:villager_hat'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('caverns_and_chasms:large_arrow', 1),
    [
      'sortilege:limitite',
      'kubejs:scrap_metal'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('kubejs:scrap_metal', 4),
    [
      'sortilege:limitite',
      'minecraft:iron_ingot'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('sortilege:vampiric_effigy', 1),
    [
      'sortilege:limitite',
      'minecraft:leather'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:netherite_scrap', 3),
    [
      'sortilege:mantlediver'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:netherite_scrap', 3),
    [
      'sortilege:mantleborer'
    ]
  );
})

ServerEvents.tags('item', e => {
    e.add('kubejs:trinket_recycling', [

        'irons_spellbooks:scroll',

        'minecraft:enchanted_book',

        'summonerscrolls:summon_sword',
        'summonerscrolls:summon_axe',
        'summonerscrolls:summon_pickaxe',
        'summonerscrolls:summon_shovel',
        'summonerscrolls:summon_hoe',

        'summonerscrolls:summon_bow',
        'summonerscrolls:summon_arrow',

        'sortilege:totem_of_nightmares',

        'artifacts:umbrella',
        'artifacts:plastic_drinking_hat',
        'artifacts:snorkel',
        'artifacts:night_vision_goggles',
        'artifacts:superstitious_hat',
        'artifacts:cowboy_hat',
        'artifacts:anglers_hat',
        'artifacts:lucky_scarf',
        'artifacts:scarf_of_invisibility',
        'artifacts:cross_necklace',
        'artifacts:panic_necklace',
        'artifacts:shock_pendant',
        'artifacts:flame_pendant',
        'artifacts:thorn_pendant',
        'artifacts:charm_of_sinking',
        'artifacts:cloud_in_a_bottle',
        'artifacts:obsidian_skull',
        'artifacts:antidote_vessel',
        'artifacts:universal_attractor',
        'artifacts:crystal_heart',
        'artifacts:helium_flamingo',
        'artifacts:chorus_totem',
        'artifacts:digging_claws',
        'artifacts:feral_claws',
        'artifacts:power_glove',
        'artifacts:fire_gauntlet',
        'artifacts:pocket_piston',
        'artifacts:vampiric_glove',
        'artifacts:golden_hook',
        'artifacts:onion_ring',
        'artifacts:pickaxe_heater',
        'artifacts:aqua_dashers',
        'artifacts:bunny_hoppers',
        'artifacts:kitty_slippers',
        'artifacts:running_shoes',
        'artifacts:snowshoes',
        'artifacts:steadfast_spikes',
        'artifacts:flippers',
        'artifacts:rooted_boot',
        'uniqueaccessories:accessory_box',
        'uniqueaccessories:ancient_chisel',
        'uniqueaccessories:all_purpose_seasoning',
        'uniqueaccessories:amplifier_stone',
        'uniqueaccessories:anklet_of_fortune',
        'uniqueaccessories:black_belt',
        'uniqueaccessories:blade_shoes',
        'uniqueaccessories:bloody_knife',
        'uniqueaccessories:burning_soul',
        'uniqueaccessories:championship_belt',
        'uniqueaccessories:cursed_doll_head',
        'uniqueaccessories:devils_eyeball',
        'uniqueaccessories:durable_spring',
        'uniqueaccessories:fossil_shark_tooth',
        'uniqueaccessories:golden_egg_charm',
        'uniqueaccessories:hero_emblem',
        'uniqueaccessories:large_paddle',
        'uniqueaccessories:life_jacket_belt',
        'uniqueaccessories:magick_quiver',
        'uniqueaccessories:master_ninja_tabi',
        'uniqueaccessories:moon_stone',
        'uniqueaccessories:ninjutsu_manual',
        'uniqueaccessories:rocket_shoes',
        'uniqueaccessories:rose_of_temptation',
        'uniqueaccessories:royal_honeycomb',
        'uniqueaccessories:sharp_fishing_hook',
        'uniqueaccessories:shiny_stone',
        'uniqueaccessories:silver_cat_tail',
        'uniqueaccessories:small_propulsion_device',
        'uniqueaccessories:snow_golem_doll',
        'uniqueaccessories:soul_gem',
        'uniqueaccessories:starved_wolf_skull',
        'uniqueaccessories:still_beating_heart',
        'uniqueaccessories:strong_sticky_slime_ball',
        'uniqueaccessories:sun_stone',
        'uniqueaccessories:supreme_meat',
        'uniqueaccessories:survival_belt',
        'uniqueaccessories:suspicious_mushroom',
        'uniqueaccessories:tabi',
        'uniqueaccessories:tool_belt',
        'uniqueaccessories:waist_warmer',
        'uniqueaccessories:withered_heart',

        'oddaccessories:loaded_dice',
        'oddaccessories:oxygen_rock',
        'oddaccessories:villager_mask',
        'oddaccessories:secondhand_gas_mask',
        'oddaccessories:fiberglass_cloak',
        'oddaccessories:collectible_meal_toy',
        'oddaccessories:rusted_nail',
        'oddaccessories:old_cross',
        'oddaccessories:pelmen',
        'oddaccessories:crown_of_nails',
        'oddaccessories:old_sock',
        'oddaccessories:homunculus',
        'oddaccessories:pork_effigy',
        'oddaccessories:malice',
        'oddaccessories:flaying_tool',
        'oddaccessories:harmony',
        'oddaccessories:heartfelt_confession',
        'oddaccessories:anomalous_mirror',
        'oddaccessories:malicious_ring',
        'oddaccessories:broken_telephone',
        'oddaccessories:clean_tablet',
        'oddaccessories:regret_of_a_salaryman',
        'oddaccessories:enlightening_tablet',
        'oddaccessories:pungent_flower',
        'oddaccessories:armored_knight_doll',
        'oddaccessories:enlightening_ring',
        'oddaccessories:emergency_parachute',
        'oddaccessories:tick',
        'oddaccessories:clay_vessel',
        'oddaccessories:guts',
        'oddaccessories:malicious_tablet',
        'oddaccessories:piece_of_love',
        'oddaccessories:hourglass',
        'oddaccessories:unconditional_love',
        'oddaccessories:discipline_rod',
        'oddaccessories:portable_tv',
        'oddaccessories:suspicious_bag',
        'oddaccessories:mimic_ring',
        'oddaccessories:rotgut',
        'oddaccessories:tattered_belt',

        'minecells:cursed_sword',

        'irons_spellbooks:keeper_flamberge',
        'irons_spellbooks:legionnaire_flamberge',
        'irons_spellbooks:legionnaire_flamberge',
        'irons_spellbooks:decrepit_scythe',
        'irons_spellbooks:hellrazor',
        
        'irons_spellbooks:wandering_magician_helmet',
        'irons_spellbooks:wandering_magician_chestplate',
        'irons_spellbooks:wandering_magician_leggings',
        'irons_spellbooks:wandering_magician_boots',
        'irons_spellbooks:pyromancer_helmet',
        'irons_spellbooks:pyromancer_chestplate',
        'irons_spellbooks:pyromancer_leggings',
        'irons_spellbooks:pyromancer_boots',
        'irons_spellbooks:electromancer_helmet',
        'irons_spellbooks:electromancer_chestplate',
        'irons_spellbooks:electromancer_leggings',
        'irons_spellbooks:electromancer_boots',
        'irons_spellbooks:cultist_helmet',
        'irons_spellbooks:cultist_chestplate',
        'irons_spellbooks:cultist_leggings',
        'irons_spellbooks:cultist_boots',
        'irons_spellbooks:archevoker_helmet',
        'irons_spellbooks:archevoker_chestplate',
        'irons_spellbooks:archevoker_leggings',
        'irons_spellbooks:archevoker_boots',
        'irons_spellbooks:cryomancer_helmet',
        'irons_spellbooks:cryomancer_chestplate',
        'irons_spellbooks:cryomancer_leggings',
        'irons_spellbooks:cryomancer_boots',
        'irons_spellbooks:shadowwalker_helmet',
        'irons_spellbooks:shadowwalker_chestplate',
        'irons_spellbooks:shadowwalker_leggings',
        'irons_spellbooks:shadowwalker_boots',
        'irons_spellbooks:priest_helmet',
        'irons_spellbooks:priest_chestplate',
        'irons_spellbooks:priest_leggings',
        'irons_spellbooks:priest_boots',
        'irons_spellbooks:plagued_helmet',
        'irons_spellbooks:plagued_chestplate',
        'irons_spellbooks:plagued_leggings',
        'irons_spellbooks:plagued_boots',
        'irons_spellbooks:pumpkin_helmet',
        'irons_spellbooks:pumpkin_chestplate',
        'irons_spellbooks:pumpkin_leggings',
        'irons_spellbooks:pumpkin_boots',
        'irons_spellbooks:tarnished_crown',
        'irons_spellbooks:netherite_mage_helmet',
        'irons_spellbooks:netherite_mage_chestplate',
        'irons_spellbooks:netherite_mage_leggings',
        'irons_spellbooks:netherite_mage_boots',
        'irons_spellbooks:wizard_helmet',
        'irons_spellbooks:wizard_chestplate',
        'irons_spellbooks:wizard_leggings',
        'irons_spellbooks:wizard_boots'
    ])
})

ServerEvents.tags('item', e => {
    e.add('kubejs:bottles', [

        'minecraft:glass_bottle',
        'minecraft:honey_bottle',
        'minecraft:potion',
        'minecraft:experience_bottle',
    ])
})

ServerEvents.tags('item', e => {
    e.add('kubejs:hearts_and_apples', [

        'healpgood:heart_piece',
        'healpgood:crystal_heart',
        'healpgood:heart_container',
        'minecraft:golden_apple',
    ])
})